<?php

require_once('./inc/BrewRecipe.class.php');

class BrewControl {
  function __construct() {
    $this->name       = '';         // Bezeichnung der Anlage aus der DB
    $this->actorder   = chr(0);     // gesamter Kontrollstring für die Steuerung
    $this->rastdauer  = 0;          // Restadauer akt. Rast
    $this->dauer      = 0;          // Restdauer gesamt
    $this->zieltemp   = 0.0;        // aktuelle Zieltemperatur
    $this->meldung    = '';         // Meldungen zum Weiterschalten der Rasten
    $this->lastconnect= '';         // Wann kam der letzte connect von der Steuerung
    $this->temp       = array();
    $this->temp[0]    = 0.0;        // akt. Temperatur 1
    $this->temp[1]    = 0.0;        // akt. Temperatur 2
    $this->temp[2]    = 0.0;        // akt. Temperatur 3
    $this->temp[3]    = 0.0;        // akt. Temperatur 4
    $this->relbits    = 0;          // akt Schaltzustand der Relais (Bits 0-3)
    $this->recipe     = new BrewRecipe();
   }
}

?>